// ----------------------------------------------------------------------------------------------
// Copyright (c) fulesnabel@hotmail.se
// ----------------------------------------------------------------------------------------------
// This source code is subject to terms and conditions of the Microsoft Public License. A 
// copy of the license can be found in the License.html file at the root of this distribution. 
// If you cannot locate the  Microsoft Public License, please send an email to 
// dlr@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
//  by the terms of the Microsoft Public License.
// ----------------------------------------------------------------------------------------------
// You must not remove this notice, or any other, from this software.
// ----------------------------------------------------------------------------------------------

namespace SBFastGraphics
{
    using Microsoft.SmallBasic.Library;
    using Internal;

    [SmallBasicType]
    public static partial class FastWindow
    {
        static State s_state;
        
        static State State
        {
            get
            {
                if (s_state == null)
                {
                    Log.Info ("Creating State");
                    s_state = new State ();
                }


                return s_state;
            }
        }

        /// <summary>
        /// Closes the FastWindow
        /// </summary>
        public static void Terminate ()
        {
            var state = s_state;
            s_state = null;
            state.SafeDispose ();
        }
    }
}