﻿// ----------------------------------------------------------------------------------------------
// Copyright (c) fulesnabel@hotmail.se
// ----------------------------------------------------------------------------------------------
// This source code is subject to terms and conditions of the Microsoft Public License. A 
// copy of the license can be found in the License.html file at the root of this distribution. 
// If you cannot locate the  Microsoft Public License, please send an email to 
// dlr@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
//  by the terms of the Microsoft Public License.
// ----------------------------------------------------------------------------------------------
// You must not remove this notice, or any other, from this software.
// ----------------------------------------------------------------------------------------------

namespace SBFastGraphics.Internal
{
    using System;
    using System.Diagnostics;

	static partial class Log
	{
        static readonly object[] s_emptyArgs = new object[0];
        [Conditional ("DEBUG")]
        public static void Info (string message, params object[] args)
        {
            message = message.DefaultTo ();
            args = args.DefaultTo (s_emptyArgs);
            var color = Console.ForegroundColor;
            Console.ForegroundColor = ConsoleColor.White;
            try
            {
                Console.WriteLine ("INFO   : " + message, args);
            }
            finally
            {
                Console.ForegroundColor = color;
            }
        }

        [Conditional ("DEBUG")]
        public static void Comment (string message, params object[] args)
        {
            message = message.DefaultTo ();
            args = args.DefaultTo (s_emptyArgs);
            var color = Console.ForegroundColor;
            Console.ForegroundColor = ConsoleColor.DarkGray;
            try
            {
                Console.WriteLine ("COMMENT : " + message, args);
            }
            finally
            {
                Console.ForegroundColor = color;
            }
        }

        [Conditional ("DEBUG")]
        public static void Warning (string message, params object[] args)
        {
            message = message.DefaultTo ();
            args = args.DefaultTo (s_emptyArgs);
            var color = Console.ForegroundColor;
            Console.ForegroundColor = ConsoleColor.Yellow;
            try
            {
                Console.WriteLine ("WARNING : " + message, args);
            }
            finally
            {
                Console.ForegroundColor = color;
            }
        }

        [Conditional ("DEBUG")]
        public static void Error (string message, params object[] args)
        {
            message = message.DefaultTo ();
            args = args.DefaultTo (s_emptyArgs);
            var color = Console.ForegroundColor;
            Console.ForegroundColor = ConsoleColor.Red;
            try
            {
                Console.WriteLine ("ERROR  : " + message, args);
            }
            finally
            {
                Console.ForegroundColor = color;
            }
        }

        
	}
}
