// ----------------------------------------------------------------------------------------------
// Copyright (c) fulesnabel@hotmail.se
// ----------------------------------------------------------------------------------------------
// This source code is subject to terms and conditions of the Microsoft Public License. A 
// copy of the license can be found in the License.html file at the root of this distribution. 
// If you cannot locate the  Microsoft Public License, please send an email to 
// dlr@microsoft.com. By using this source code in any fashion, you are agreeing to be bound 
//  by the terms of the Microsoft Public License.
// ----------------------------------------------------------------------------------------------
// You must not remove this notice, or any other, from this software.
// ----------------------------------------------------------------------------------------------

namespace SBFastGraphics.Internal.Interfaces
{
    using Microsoft.WindowsAPICodePack.DirectX.Direct2D1;

    interface IResource : ILifetime<ResourceContext>
    {
    }

    interface IBrush : IResource
    {
        Brush Adjust (float x0, float y0, float x1, float y1);
    }

    interface IGradientBrush : IBrush
    {
        void AddGradientStop (global::SBFastGraphics.Internal.GradientStop stop);
    }

    interface IBitmap : IResource
    {
        D2DBitmap Bitmap { get; }
    }

}